#include <Adafruit_GFX.h>
#include <Adafruit_ILI9341.h>

#define TFT_CS     1
#define TFT_RST    7
#define TFT_DC     0

Adafruit_ILI9341 tft = Adafruit_ILI9341(TFT_CS, TFT_DC, TFT_RST);

#define TRIG_PIN 6
#define ECHO_PIN 29

void setup() {
  pinMode(TRIG_PIN, OUTPUT);
  pinMode(ECHO_PIN, INPUT);
  Serial.begin(9600);
  tft.begin();
  tft.setRotation(1);
  tft.fillScreen(ILI9341_BLACK);
}

void loop() {
  digitalWrite(TRIG_PIN, LOW);
  delayMicroseconds(2);
  digitalWrite(TRIG_PIN, HIGH);
  delayMicroseconds(10);
  digitalWrite(TRIG_PIN, LOW);
  
  unsigned long duration = pulseIn(ECHO_PIN, HIGH);
  float distance = duration * 0.034 / 2;
  delay(100);

  Serial.println(distance);

  // Display logic
  tft.fillScreen(ILI9341_BLACK);
  int barLength = map(distance, 0, 200, 0, tft.height()); // Map the distance to bar length
  tft.fillRect(50, tft.height() - barLength, 50, barLength, ILI9341_WHITE);

  delay(100); // Update rate
}
